%define name terminatorX
%define version 3.60
%define release 2mdk

Summary: Realtime Audio Synthesizer
Name: %{name}
Version: %{version}
Release: %{release}
Group: Sound
License: GPL
URL: http://42.fht-esslingen.de/tX
Source: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: gtk+ >= 1.2.0 glib >= 1.2.0

%description
terminatorX is a realtime audio synthesizer that allows you to scratch
on digitally sampled audio data (*.wav, *.au, *.mp3, etc.) the way
hiphop-DJs scratch on vinyl records. It features multiple turntables,
realtime effects and an easy-to-use gtk+ GUI.

%prep

%setup -q

%build
CC="kgcc" CXX="kg++" CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%{_prefix}

%make

%install
make prefix=$RPM_BUILD_ROOT%{_prefix} install-strip

MIMEDIR=$RPM_BUILD_ROOT/usr/share/mime-info
ICONDIR=$RPM_BUILD_ROOT/usr/share/pixmaps
ICONS="gnome-support/terminatorX-app.xpm gnome-support/terminatorX-mime.xpm"
MIMEFILES="gnome-support/terminatorX.keys gnome-support/terminatorX.mime"

mkdir -p $MIMEDIR
mkdir -p $ICONDIR

cp $ICONS $ICONDIR
cp $MIMEFILES $MIMEDIR

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/terminatorX"\
title="TerminatorX"\
longtitle="realtime audio synthesizer"\
needs="x11"\
section="Multimedia/Sound"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}  


%files
%defattr(-,root,root)
%{_bindir}/*
%doc COPYING AUTHORS ChangeLog INSTALL NEWS README THANKS TODO
%{_datadir}/mime-info/terminatorX.keys
%{_datadir}/mime-info/terminatorX.mime
%{_datadir}/pixmaps/terminatorX-app.xpm
%{_datadir}/pixmaps/terminatorX-mime.xpm
%{_menudir}/*

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 3.60-2mdk
- Fix build

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.60-1mdk
- bm & macros & menu

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.55-2mdk
- fix group

* Thu Feb 24 2000 Adrian Reber <adrian@42.fht-esslingen.de>
- Mandrake adaptations.

* Thu Feb 14 2000 Adrian Reber <adrian@42.fht-esslingen.de>
- Updated to 3.55

* Thu Dec 17 1999 Adrian Reber <adrian@42.fht-esslingen.de>
- Updated to 3.5

* Thu Jul 29 1999 Adrian Reber <adrian@rhlx01.fht-esslingen.de>
- Updated to 3.2

* Fri May 07 1999 Adrian Reber <adrian@rhlx01.fht-esslingen.de>
 - Initial release   
